# Add item(s) `POST` `/lists/{list_id}/items` Adds or updates an item in an existing list. ## Parameters - **list_id** (`string`, required) — List ID without the "@" prefix. ## Request body - **item** (`object`, required) - **values** (`object`, required) — Item content. Validated according to the list type. - **description** (`string`) — Optional item description for display in the admin panel. - **expiration_in_hours** (`integer`) — Number of hours for automatic expiration. Leave blank to register the item permanently. ```json { "item": { "values": null, "description": "string", "expiration_in_hours": 6 } } ``` ## Responses ### 201 — Item(s) created successfully. - **items** (`array`) — List of created items - **id** (`string`) — Item ID. - **value** (`string`) — Item content. - **description** (`string`) — Optional item description. - **expires_at** (`date-time`) — Item expiration date and time. If the item is permanent, this field will be null. ```json { "items": [ { "id": "string", "value": "string", "description": "string", "expires_at": "2024-01-01T00:00:00Z" } ] } ``` ### 401 — Invalid access credentials - **errors** (`array`) - **field** (`string`) — Request field where the error occurred - **type** (`string`) — Error type code - **message** (`string`) — Error message ```json { "errors": [ { "field": "string", "type": "string", "message": "string" } ] } ``` ### 422 — Invalid parameters - **errors** (`array`) - **field** (`string`) — Request field where the error occurred - **type** (`string`) — Error type code - **message** (`string`) — Error message ```json { "errors": [ { "field": "string", "type": "string", "message": "string" } ] } ``` ### 404 — Object not found - **errors** (`array`) - **field** (`string`) — Request field where the error occurred - **type** (`string`) — Error type code - **message** (`string`) — Error message ```json { "errors": [ { "field": "string", "type": "string", "message": "string" } ] } ```